x003040_g_scriptId = 003040

x003040_g_BigCrystal = 6005
x003040_g_SmallCrystal = 6006

x003040_g_BigCrystalCount = 10
x003040_g_BigCrystalPos = 6001

x003040_g_SmallCrystalCount = 20

x003040_g_SmallCrystalMinCD = 1
x003040_g_SmallCrystalMaxCD = 1

x003040_g_AddExpIndex = 5
x003040_g_AddExpRate = 0.2

--活动结束
function x003040_OnRefreshCrystal(scene)
	--RefreshBigCrystal(scene, x003040_g_BigCrystal, x003040_g_BigCrystalCount, x003040_g_BigCrystalPos)
	RefreshSmallCrystal(scene, x003040_g_SmallCrystal, x003040_g_SmallCrystalCount, x003040_g_BigCrystalPos, x003040_g_SmallCrystalMinCD, x003040_g_SmallCrystalMaxCD)
end

function x003040_OnRefreshBigCrystal(scene)
	RefreshBigCrystal(scene, x003040_g_BigCrystal, x003040_g_BigCrystalCount, x003040_g_BigCrystalPos)
end

function x003040_OnRefreshSmallCrystal(scene)
	RefreshSmallCrystal(scene, x003040_g_SmallCrystal, x003040_g_SmallCrystalCount, x003040_g_BigCrystalPos, x003040_g_SmallCrystalMinCD, x003040_g_SmallCrystalMaxCD)
end

function x003040_OnAddExp(scene)
	--GainExpByLevel(scene, x003040_g_AddExpIndex, x003040_g_AddExpRate)
end